Bug 1088488 - proposal_runner.rb: "no implicit conversion of Array into String"
proposal_runner.rb: "no implicit conversion of Array into String"
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Knut Alejandro Anderssen González
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-06 14:12 UTC by Richard Brown
Modified: 2022-09-12 10:25 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
y2logs (76.77 KB, application/x-xz)
2018-04-06 14:12 UTC, Richard Brown
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Brown 2018-04-06 14:12:34 UTC
Created attachment 766316 [details]
y2logs

As part of resolving https://bugzilla.suse.com/show_bug.cgi?id=1088456 I need to use the network proposal module on the traditional openSUSE/SUSE Installation Settings screen

Therefore I added the following to the Kubic control.xml in the appropriate <proposal>

                <proposal_module>
                    <name>network</name>
                    <presentation_order>40</presentation_order>
                </proposal_module>

I expected this to call the existing network_proposal module

https://github.com/yast/yast-network/blob/master/src/lib/network/clients/network_proposal.rb

From my laymans eyes, it should work similar to other similar proposal modules, even though it's never been used in that role before as it was originally part of the custom CaaSP one screen install (which Kubic is investigating the feasibility of replacing it with regular YaST modules)

This seems to be partially successful; when loading the Installation Settings screen YaST clearly shows a section for "Network Configuration", strongly suggesting this module is being loaded

But it then crashes with the following internal error:

"Details: no implicit conversion of Array into String
Caller: /mounts/mp_0007/usr/share/YaST2/lib/installation/proposal_runner.rb:539:in 'format_sub_proposal'"

This means Kubic cannot currently use this module, as required.

y2logs attached
Comment 1 Knut Alejandro Anderssen González 2018-04-06 16:31:26 UTC
Proposed fix:

https://github.com/yast/yast-network/pull/620

The rpm for testing can be found here:

https://w3.nue.suse.com/~kanderssen/bug_1088488/
Comment 2 Knut Alejandro Anderssen González 2018-05-10 13:12:48 UTC
Fixed in yast2-network >= 4.0.25